ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetServRestrictionTimeCondition

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.common.bean.InetServRestrictionTimeCondition

-     public class InetServRestrictionTimeCondition
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetServRestrictionTimeCondition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getDaysOfMonth()`
    `java.util.Set<java.lang.Integer>` | `getDaysOfWeek()`
    `int` | `getMode()`
    `java.util.Set<java.lang.Integer>` | `getMonths()`
    `java.time.LocalTime` | `getTimeFrom()`
    `java.time.LocalTime` | `getTimeTo()`
    `void` | `setDaysOfMonth(java.util.Set<java.lang.Integer> daysOfMonth)`
    `void` | `setDaysOfWeek(java.util.Set<java.lang.Integer> daysOfWeek)`
    `void` | `setMode(int mode)`
    `void` | `setMonths(java.util.Set<java.lang.Integer> months)`
    `void` | `setTimeFrom(java.time.LocalTime timeFrom)`
    `void` | `setTimeTo(java.time.LocalTime timeTo)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServRestrictionTimeCondition

          public InetServRestrictionTimeCondition()

  - ### Method Detail

    - #### getTimeFrom

          public java.time.LocalTime getTimeFrom()

    - #### setTimeFrom

          public void setTimeFrom(java.time.LocalTime timeFrom)

    - #### getTimeTo

          public java.time.LocalTime getTimeTo()

    - #### setTimeTo

          public void setTimeTo(java.time.LocalTime timeTo)

    - #### getDaysOfWeek

          public java.util.Set<java.lang.Integer> getDaysOfWeek()

    - #### setDaysOfWeek

          public void setDaysOfWeek(java.util.Set<java.lang.Integer> daysOfWeek)

    - #### getMonths

          public java.util.Set<java.lang.Integer> getMonths()

    - #### setMonths

          public void setMonths(java.util.Set<java.lang.Integer> months)

    - #### getDaysOfMonth

          public java.util.Set<java.lang.Integer> getDaysOfMonth()

    - #### setDaysOfMonth

          public void setDaysOfMonth(java.util.Set<java.lang.Integer> daysOfMonth)

    - #### getMode

          public int getMode()

    - #### setMode

          public void setMode(int mode)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`